Index: configure.ac
===================================================================
--- configure.ac	(revision 72aae38d76b2e05d835ed88b6d0e1310cf703e47)
+++ configure.ac	(revision 9dfcc6ef0099c869af8fdb1410d0fc1a36f444c0)
@@ -195,4 +195,5 @@
 AC_CONFIG_SUBDIRS([gfanlib])
 
+AC_CONFIG_FILES([redhat/singular.spec])
 AC_CONFIG_FILES([desktop/Singular.desktop])
 AC_CONFIG_FILES([desktop/Singular-manual.desktop])
Index: dhat/singular.spec
===================================================================
--- redhat/singular.spec	(revision 72aae38d76b2e05d835ed88b6d0e1310cf703e47)
+++ 	(revision )
@@ -1,81 +1,0 @@
-Name: singular
-Summary: computer algebra system for polynomial computations (binary files)
-Version: 3.1.3.sw
-Release: 1%{?dist}
-License: GPLv2+
-Group: Applications/Math
-Vendor: Singular Team
-URL: http://www.singular.uni-kl.de
-Packager: Mathias Schulze <mschulze@mathematik.uni-kl.de>
-Source0: http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/UNIX/%{name}-%{version}.tar.gz
-BuildArch: %{_arch}
-BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-BuildRequires: cddlib-devel, gmp-devel, ntl-devel
-Requires: singular-common
-
-%description
-Singular is a computer algebra system for polynomial computations with
-emphasis on the special needs of commutative algebra, algebraic geometry,
-and singularity theory.
-
-This package contains binary files.
-
-%package common
-Summary: computer algebra system for polynomial computations (common files).
-BuildArch: noarch
-%description common
-Singular is a computer algebra system for polynomial computations with
-emphasis on the special needs of commutative algebra, algebraic geometry,
-and singularity theory.
-
-This package contains architecture-independent files.
-
-%package devel
-Summary: computer algebra system for polynomial computations (development)
-BuildArch: noarch
-%description devel
-Singular is a computer algebra system for polynomial computations with
-emphasis on the special needs of commutative algebra, algebraic geometry,
-and singularity theory.
-
-This package contains development files.
-
-%prep
-%setup -q
-
-%check
-make check
-
-%build
-%configure --enable-gfanlib
-make %{?_smp_mflags}
-
-%install
-rm -rf %{buildroot}
-make install DESTDIR=%{buildroot}
-install -D desktop/Singular.desktop %{buildroot}/%{_datadir}/applications/Singular.desktop
-install -D desktop/Singular-manual.desktop %{buildroot}/%{_datadir}/applications/Singular-manual.desktop
-install -D desktop/Singular.png %{buildroot}/%{_datadir}/icons/Singular.png
-
-%clean
-rm -rf %{buildroot}
-
-%files
-%defattr(-,root,root,-)
-%{_bindir}/*
-%{_libdir}/*
-%{_libexecdir}/*
-
-%files common
-%doc README COPYING ChangeLog
-%{_datadir}/*
-#%{_mandir}/*
-#%{_infodir}/*
-
-%files devel
-%{_includedir}/*
-
-%changelog
-* Tue Apr 30 2013 Mathias Schulze <mschulze@mathematik.uni-kl.de> 3.1.3.rc-1
-- Initial release
-
Index: redhat/singular.spec.in
===================================================================
--- redhat/singular.spec.in	(revision 9dfcc6ef0099c869af8fdb1410d0fc1a36f444c0)
+++ redhat/singular.spec.in	(revision 9dfcc6ef0099c869af8fdb1410d0fc1a36f444c0)
@@ -0,0 +1,81 @@
+Name: singular
+Summary: computer algebra system for polynomial computations (binary files)
+Version: @PACKAGE_VERSION@
+Release: 1%{?dist}
+License: GPLv2+
+Group: Applications/Math
+Vendor: Singular Team
+URL: http://www.singular.uni-kl.de
+Packager: Mathias Schulze <mschulze@mathematik.uni-kl.de>
+Source0: http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/UNIX/%{name}-%{version}.tar.gz
+BuildArch: %{_arch}
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+BuildRequires: cddlib-devel, gmp-devel, ntl-devel
+Requires: singular-common
+
+%description
+Singular is a computer algebra system for polynomial computations with
+emphasis on the special needs of commutative algebra, algebraic geometry,
+and singularity theory.
+
+This package contains binary files.
+
+%package common
+Summary: computer algebra system for polynomial computations (common files).
+BuildArch: noarch
+%description common
+Singular is a computer algebra system for polynomial computations with
+emphasis on the special needs of commutative algebra, algebraic geometry,
+and singularity theory.
+
+This package contains architecture-independent files.
+
+%package devel
+Summary: computer algebra system for polynomial computations (development)
+BuildArch: noarch
+%description devel
+Singular is a computer algebra system for polynomial computations with
+emphasis on the special needs of commutative algebra, algebraic geometry,
+and singularity theory.
+
+This package contains development files.
+
+%prep
+%setup -q
+
+%check
+make check
+
+%build
+%configure --enable-gfanlib
+make %{?_smp_mflags}
+
+%install
+rm -rf %{buildroot}
+make install DESTDIR=%{buildroot}
+install -D desktop/Singular.desktop %{buildroot}/%{_datadir}/applications/Singular.desktop
+install -D desktop/Singular-manual.desktop %{buildroot}/%{_datadir}/applications/Singular-manual.desktop
+install -D desktop/Singular.png %{buildroot}/%{_datadir}/icons/Singular.png
+
+%clean
+rm -rf %{buildroot}
+
+%files
+%defattr(-,root,root,-)
+%{_bindir}/*
+%{_libdir}/*
+%{_libexecdir}/*
+
+%files common
+%doc README COPYING ChangeLog
+%{_datadir}/*
+#%{_mandir}/*
+#%{_infodir}/*
+
+%files devel
+%{_includedir}/*
+
+%changelog
+* Tue Apr 30 2013 Mathias Schulze <mschulze@mathematik.uni-kl.de> 3.1.3.rc-1
+- Initial release
+
